Bug 821937 - Can't change display language
Can't change display language
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 15:41 EDT by Jonathan Kamens
Modified: 2013-07-31 18:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:18:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2012-05-15 15:41:14 EDT
1. I click on my name in the upper right corner of the screen.
2. Click on "System Settings".
3. Click on "Region and Language".
4. It is currently set to "English (United States) [ISO-8859-1]". I don't want that.
5. Click on "English".
6. Click on the "X" in the corner to close the window.
7. Repeat steps 1-3 again.
8. It should now say "English", but instead it once again says "English (United States) [ISO-8859-1]".

That is, I can't get the change to stick.

Note: This is true for any display language, not just "English". E.g., if I try selecting "French" and then closing and reopening the control panel, it also reverts to "English (United States) [ISO-8859-1]" in that case.

See also bug 821931.
Comment 1 Matthias Clasen 2012-05-15 16:06:30 EDT
Did you read the text above the list of languages in that panel ?
Comment 2 Jonathan Kamens 2012-05-15 16:13:23 EDT
1. I restarted my computer after making the change and it did not help. I just did it again to confirm.
2. Even if it were necessary to log back in or restart for the change _to be applied_, I would expect it to show up in the "Region and Language" window even before logging out and logging back in. The _perfect_ UI would show that the setting has been changed but also show that the change is pending the user logging out and logging back in.
Comment 3 Matthias Clasen 2012-05-18 19:51:52 EDT
hmm, works fine here.
One idea is that you might have a LANG=en_US setting in .bashrc or so...
Comment 4 Jonathan Kamens 2012-05-21 07:13:02 EDT
Yup, you were right, I had an old LANG setting in my .bashrc. Good call!

Is there any way to make the UI behavior better in that circumstance? Silently refusing to allow me to change the setting, with no feedback about why, does not seem like adequate functionality.
Comment 5 Fedora End Of Life 2013-07-03 17:19:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 18:18:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.